LineageResult
Definition lineage, returned by GET /registry/definitions/{id}/lineage.
Traces the version history and namespace promotion path of a definition. Each entry in the chain is a (version, namespace) pair in creation order.
definition_idDefinition Id (string)required
chain object[]required
Array [
versionVersion (string)required
created_at object
anyOf
- string<date-time>
- null
string<date-time>
deprecatedDeprecated (boolean)
Default value:
falsemeaning_hash object
anyOf
- string
- null
string
ir_hash object
anyOf
- string
- null
string
]
promoted_to object
property name*string
LineageResult
{
"definition_id": "string",
"chain": [
{
"version": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"deprecated": false,
"meaning_hash": "string",
"ir_hash": "string"
}
],
"promoted_to": {}
}